GET /v1/reddit/app/fetch_subreddit_post_channels
Fetch Reddit APP Subreddit Post Channels
stable · 2 credits per success
Fetch post channel information of a specified Reddit APP subreddit;subreddit_name: Subreddit name;sort: Sort method, supports HOT, NEW, TOP, CONTROVERSIAL, RISING;range: Time range, supports HOUR, DAY, WEEK, MONTH, YEAR, ALL;JSON data of post channel information of the specified subreddit
Request parameters
| Name | Type | In | Required | Description | Example |
|---|---|---|---|---|---|
| sort | string | query | no | 排序方式 | HOT |
| range | string | query | no | 时间范围 | DAY |
| need_format | boolean | query | no | 是否需要清洗数据 | false |
| subreddit_name | string | query | no | 版块名称 | pics |
Response fields
Field dictionary coming soon — the executable panel shows the live shape.
Errors
| code | HTTP | Meaning | Billed |
|---|---|---|---|
| 40001 | 400 | Invalid parameters | no |
| 40102 | 401 | Invalid or revoked API Key | no |
| 40201 | 402 | Insufficient credits | no |
| 40402 | 404 | Resource not found | no |
| 42201 | 422 | Quality gate failed | no |
| 42901 | 429 | Rate limit exceeded | no |
| 50401 | 504 | Upstream timeout | no |
| 50201 | 502 | Upstream error | no |
Billing
Success costs 2 credits. Any failure — including a 200 that fails the quality gate — costs 0.